#include <iostream>

int main()
{
	long long n, k;
	std::cin >> n >> k;
	long long p[20000];
	for (int i = 0; i < n; i++)
		std::cin >> p[i];
	long long pom = n;
	if (p[n - 1] == k)
		std::cout << p[0];
	for (int i = 0; i < n - 1; i++)
	{
		if (p[i] == k)
			std::cout << p[i+1];
	}
	
	return 0;
}